Bug 1291000 - [abrt] rabbitvcs-cli: configobj.py:1477:_handle_bom:AttributeError: 'module' object has no attribute 'PY2'
[abrt] rabbitvcs-cli: configobj.py:1477:_handle_bom:AttributeError: 'module' ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5566c76bc908131881eeef2bf25...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 11:04 EST by Christian von Behren
Modified: 2016-01-29 10:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 10:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.13 KB, text/plain)
2015-12-12 11:04 EST, Christian von Behren
no flags Details
File: dso_list (70 bytes, text/plain)
2015-12-12 11:04 EST, Christian von Behren
no flags Details
File: environ (3.44 KB, text/plain)
2015-12-12 11:05 EST, Christian von Behren
no flags Details

  None (edit)
Description Christian von Behren 2015-12-12 11:04:53 EST
Description of problem:
just tried to start rabbitvcs (cli) from terminal.

Version-Release number of selected component:
rabbitvcs-cli-0.16-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python /usr/bin/rabbitvcs
executable:     /usr/bin/rabbitvcs
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
configobj.py:1477:_handle_bom:AttributeError: 'module' object has no attribute 'PY2'

Traceback (most recent call last):
  File "/usr/bin/rabbitvcs", line 27, in <module>
    from rabbitvcs.util.helper import launch_ui_window
  File "/usr/lib/python2.7/site-packages/rabbitvcs/util/__init__.py", line 23, in <module>
    from rabbitvcs.util.log import Log
  File "/usr/lib/python2.7/site-packages/rabbitvcs/util/log.py", line 58, in <module>
    settings = SettingsManager()
  File "/usr/lib/python2.7/site-packages/rabbitvcs/util/settings.py", line 109, in __init__
    configspec=SETTINGS_SPEC
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1229, in __init__
    self._load(infile, configspec)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1325, in _load
    self._handle_configspec(configspec)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1941, in _handle_configspec
    _inspec=True)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1229, in __init__
    self._load(infile, configspec)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1287, in _load
    content = self._handle_bom(content)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1477, in _handle_bom
    if six.PY2 and isinstance(line, str):
AttributeError: 'module' object has no attribute 'PY2'

Local variables in innermost frame:
encoding: 'utf16_be'
self: ConfigObj({})
final_encoding: 'utf_16'
BOM: '\xfe\xff'
line: '[general]\n'
infile: ['[general]\n', 'language = string(default="English")\n', 'enable_attributes = boolean(default=True)\n', 'enable_emblems = boolean(default=True)\n', 'enable_recursive = boolean(default=True)\n', 'show_debug = boolean(default=False)\n', 'show_unversioned_files = boolean(default=True)\n', '\n', '[external]\n', 'diff_tool = string(default="/usr/bin/meld")\n', 'diff_tool_swap = boolean(default=False)\n', '\n', '[cache]\n', 'number_repositories = integer(default=30)\n', 'number_messages = integer(default=30)\n', '\n', '[logging]\n', 'type = option("None", "File", "Console", "Both", default="Both")\n', 'level = option("Debug", "Warning", "Info", "Error", "Critical", default="Error")\n']
Comment 1 Christian von Behren 2015-12-12 11:04:57 EST
Created attachment 1105101 [details]
File: backtrace
Comment 2 Christian von Behren 2015-12-12 11:04:59 EST
Created attachment 1105102 [details]
File: dso_list
Comment 3 Christian von Behren 2015-12-12 11:05:00 EST
Created attachment 1105103 [details]
File: environ
Comment 4 Fedora Admin XMLRPC Client 2016-01-27 17:46:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Raphael Groner 2016-01-29 10:17:06 EST
$ python /usr/bin/rabbitvcs
Usage: rabbitvcs <module> [path1] [path2] ...

Available Modules
------------------

SVN:
    about, add, annotate, applypatch, branch, browser, changes, checkmods, 
    checkout, cleanup, commit, createpatch, create, delete, diff, editconflicts,
    export, ignore, import, lock, log, merge, properties, open, relocate, rename, 
    markresolved, revert, settings, switch, unlock, update, updateto

Git:
    about, add, annotate, applybranch, branches, changes, checkout, clean, 
    clone, commit, createpatch, create, delete, diff, editconflicts, export, 
    ignore, log, merge, open, push, rename, remotes, reset, revert, settings, 
    tags, update

For module specific help type: rabbitvcs <module> -h

Note You need to log in before you can comment on or make changes to this bug.